<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.bw.adv.module.base.mapper.ActivityDateMapper" >
  <resultMap id="BaseResultMap" type="com.bw.adv.module.base.model.ActivityDate" >
    <id column="ACTIVITY_DATE_ID" property="activityDateId" jdbcType="BIGINT" />
    <result column="ACTIVITY_DATE_NAME" property="activityDateName" jdbcType="VARCHAR" />
    <result column="ACTIVITY_DATE_TYPE" property="activityDateType" jdbcType="VARCHAR" />
    <result column="FROM_DATE" property="fromDate" jdbcType="CHAR" />
    <result column="THRU_DATE" property="thruDate" jdbcType="CHAR" />
    <result column="DATE_VALUE" property="dateValue" jdbcType="VARCHAR" />
    <result column="CREATE_TIME" property="createTime" jdbcType="CHAR" />
    <result column="UPADE_TIME" property="upadeTime" jdbcType="CHAR" />
    <result column="IS_ACTIVE" property="isActive" jdbcType="CHAR" />
    <result column="ACTIVITY_DATE_DESC" property="activityDateDesc" jdbcType="VARCHAR" />
    <result column="REMARK" property="remark" jdbcType="VARCHAR" />
  </resultMap>
  <sql id="Base_Column_List" >
    ACTIVITY_DATE_ID, ACTIVITY_DATE_NAME, ACTIVITY_DATE_TYPE, FROM_DATE, THRU_DATE, DATE_VALUE, 
    CREATE_TIME, UPADE_TIME, IS_ACTIVE, ACTIVITY_DATE_DESC, REMARK
  </sql>
  <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Long" >
    select 
    <include refid="Base_Column_List" />
    from activity_date
    where ACTIVITY_DATE_ID = #{activityDateId,jdbcType=BIGINT}
  </select>
  
  <select id="selectByIsActive" resultMap="BaseResultMap" parameterType="java.lang.String" >
    select 
    <include refid="Base_Column_List" />
    from activity_date
    where IS_ACTIVE = '${isActive}' order by CREATE_TIME desc
  </select>
  
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Long" >
    delete from activity_date
    where ACTIVITY_DATE_ID = #{activityDateId,jdbcType=BIGINT}
  </delete>
  <insert id="insert" parameterType="com.bw.adv.module.base.model.ActivityDate" >
    insert into activity_date (ACTIVITY_DATE_ID, ACTIVITY_DATE_NAME, 
      ACTIVITY_DATE_TYPE, FROM_DATE, THRU_DATE, 
      DATE_VALUE, CREATE_TIME, UPADE_TIME, 
      IS_ACTIVE, ACTIVITY_DATE_DESC, REMARK
      )
    values (#{activityDateId,jdbcType=BIGINT}, #{activityDateName,jdbcType=VARCHAR}, 
      #{activityDateType,jdbcType=VARCHAR}, #{fromDate,jdbcType=CHAR}, #{thruDate,jdbcType=CHAR}, 
      #{dateValue,jdbcType=VARCHAR}, #{createTime,jdbcType=CHAR}, #{upadeTime,jdbcType=CHAR}, 
      #{isActive,jdbcType=CHAR}, #{activityDateDesc,jdbcType=VARCHAR}, #{remark,jdbcType=VARCHAR}
      )
  </insert>
  <insert id="insertSelective" parameterType="com.bw.adv.module.base.model.ActivityDate" >
    insert into activity_date
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="activityDateId != null" >
        ACTIVITY_DATE_ID,
      </if>
      <if test="activityDateName != null" >
        ACTIVITY_DATE_NAME,
      </if>
      <if test="activityDateType != null" >
        ACTIVITY_DATE_TYPE,
      </if>
      <if test="fromDate != null" >
        FROM_DATE,
      </if>
      <if test="thruDate != null" >
        THRU_DATE,
      </if>
      <if test="dateValue != null" >
        DATE_VALUE,
      </if>
      <if test="createTime != null" >
        CREATE_TIME,
      </if>
      <if test="upadeTime != null" >
        UPADE_TIME,
      </if>
      <if test="isActive != null" >
        IS_ACTIVE,
      </if>
      <if test="activityDateDesc != null" >
        ACTIVITY_DATE_DESC,
      </if>
      <if test="remark != null" >
        REMARK,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="activityDateId != null" >
        #{activityDateId,jdbcType=BIGINT},
      </if>
      <if test="activityDateName != null" >
        #{activityDateName,jdbcType=VARCHAR},
      </if>
      <if test="activityDateType != null" >
        #{activityDateType,jdbcType=VARCHAR},
      </if>
      <if test="fromDate != null" >
        #{fromDate,jdbcType=CHAR},
      </if>
      <if test="thruDate != null" >
        #{thruDate,jdbcType=CHAR},
      </if>
      <if test="dateValue != null" >
        #{dateValue,jdbcType=VARCHAR},
      </if>
      <if test="createTime != null" >
        #{createTime,jdbcType=CHAR},
      </if>
      <if test="upadeTime != null" >
        #{upadeTime,jdbcType=CHAR},
      </if>
      <if test="isActive != null" >
        #{isActive,jdbcType=CHAR},
      </if>
      <if test="activityDateDesc != null" >
        #{activityDateDesc,jdbcType=VARCHAR},
      </if>
      <if test="remark != null" >
        #{remark,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>
  <update id="updateByPrimaryKeySelective" parameterType="com.bw.adv.module.base.model.ActivityDate" >
    update activity_date
    <set >
      <if test="activityDateName != null" >
        ACTIVITY_DATE_NAME = #{activityDateName,jdbcType=VARCHAR},
      </if>
      <if test="activityDateType != null" >
        ACTIVITY_DATE_TYPE = #{activityDateType,jdbcType=VARCHAR},
      </if>
      <if test="fromDate != null" >
        FROM_DATE = #{fromDate,jdbcType=CHAR},
      </if>
      <if test="thruDate != null" >
        THRU_DATE = #{thruDate,jdbcType=CHAR},
      </if>
      <if test="dateValue != null" >
        DATE_VALUE = #{dateValue,jdbcType=VARCHAR},
      </if>
      <if test="createTime != null" >
        CREATE_TIME = #{createTime,jdbcType=CHAR},
      </if>
      <if test="upadeTime != null" >
        UPADE_TIME = #{upadeTime,jdbcType=CHAR},
      </if>
      <if test="isActive != null" >
        IS_ACTIVE = #{isActive,jdbcType=CHAR},
      </if>
      <if test="activityDateDesc != null" >
        ACTIVITY_DATE_DESC = #{activityDateDesc,jdbcType=VARCHAR},
      </if>
      <if test="remark != null" >
        REMARK = #{remark,jdbcType=VARCHAR},
      </if>
    </set>
    where ACTIVITY_DATE_ID = #{activityDateId,jdbcType=BIGINT}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.bw.adv.module.base.model.ActivityDate" >
    update activity_date
    set ACTIVITY_DATE_NAME = #{activityDateName,jdbcType=VARCHAR},
      ACTIVITY_DATE_TYPE = #{activityDateType,jdbcType=VARCHAR},
      FROM_DATE = #{fromDate,jdbcType=CHAR},
      THRU_DATE = #{thruDate,jdbcType=CHAR},
      DATE_VALUE = #{dateValue,jdbcType=VARCHAR},
      CREATE_TIME = #{createTime,jdbcType=CHAR},
      UPADE_TIME = #{upadeTime,jdbcType=CHAR},
      IS_ACTIVE = #{isActive,jdbcType=CHAR},
      ACTIVITY_DATE_DESC = #{activityDateDesc,jdbcType=VARCHAR},
      REMARK = #{remark,jdbcType=VARCHAR}
    where ACTIVITY_DATE_ID = #{activityDateId,jdbcType=BIGINT}
  </update>
  
  <update id="updateIsActiveList">
  	update activity_date set IS_ACTIVE = #{isActive,jdbcType=CHAR}
  	where ACTIVITY_DATE_ID in 
  	<foreach collection="activityDateIds" item="activityDateId" open="(" separator="," close=")">
		#{activityDateId,jdbcType=BIGINT}
	  </foreach>
  </update>
</mapper>